Bug 123006 - CAN-2004-0403 ISAKMP DoS in ipsec-tools
CAN-2004-0403 ISAKMP DoS in ipsec-tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsec-tools (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 05:44 EDT by Mark J. Cox (Product Security)
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-20 05:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-11 05:44:52 EDT
When ipsec-tools receives an ISAKMP header, it will attempt
to allocate sufficient memory for the entire ISAKMP message
according to the header's length field. If an attacker crafts
an ISAKMP header with a extremely large value in the length
field, racoon may exceed operating system resource limits and
be terminated, resulting in a denial of service. CAN-2004-0403
Comment 1 Mark J. Cox (Product Security) 2004-05-20 05:38:28 EDT
Fixed, see 
http://www.redhat.com/archives/fedora-announce-list/2004-May/msg00019.html

Note You need to log in before you can comment on or make changes to this bug.